Tristero Docs
API Reference

Get margin position

Get details of a specific margin position by ID.

GET
/wallets/margin-positions/{position_id}

Get details of a specific margin position by ID.

Authorization

ApiKeyAuth
X-API-Key<token>

API key for authentication (if required by deployment)

In: header

Path Parameters

position_id*string

Position ID

Response Body

application/json

curl -X GET "https://api.tristero.com/v2/wallets/margin-positions/string"
{
  "id": "string",
  "status": "open",
  "escrow_address": "string",
  "filler_address": "string",
  "taker_token_id": 0,
  "wallet_address": "string",
  "collateral_token": "string",
  "base_token": "string",
  "loan_token": "string",
  "collateral_amount": "string",
  "loan_amount": "string",
  "leverage_ratio": 0,
  "interest_rate_bps": 0,
  "opened_at": "2019-08-24T14:15:22Z"
}